libcomps: /build/libcomps/src/libcomps-0.1.20/libcomps/src/comps_docenv.h File Reference

libcomps ..

Loading...
Searching...
No Matches
Data Structures | Functions
comps_docenv.h File Reference

COMPS_DocEnv header file. More...

`#include <stddef.h>`
`#include <assert.h>`
`#include "comps_utils.h"`
`#include "comps_obj.h"`
`#include "comps_objdict.h"`
`#include "comps_objlist.h"`
`#include "comps_docgroupid.h"`
`#include "comps_validate.h"`
`#include "comps_radix.h"`
`#include "comps_log.h"`
`#include "comps_default.h"`

Go to the source code of this file.

## Data Structures
struct | COMPS_DocEnv

## Functions
void | comps_docenv_set_id (COMPS_DocEnv *env, char *id, char copy)
void | comps_docenv_set_name (COMPS_DocEnv *env, char *name, char copy)
void | comps_docenv_set_desc (COMPS_DocEnv *env, char *desc, char copy)
void | comps_docenv_set_display_order (COMPS_DocEnv *env, int display_order, bool unset)
COMPS_Object * | comps_docenv_get_id (COMPS_DocEnv *env)
COMPS_Object * | comps_docenv_get_name (COMPS_DocEnv *env)
COMPS_Object * | comps_docenv_get_desc (COMPS_DocEnv *env)
COMPS_Object * | comps_docenv_get_display_order (COMPS_DocEnv *env)
COMPS_ObjList * | comps_docenv_group_list (COMPS_DocEnv *obj)
COMPS_ObjList * | comps_docenv_option_list (COMPS_DocEnv *obj)
void | comps_docenv_set_group_list (COMPS_DocEnv *obj, COMPS_ObjList *list)
void | comps_docenv_set_option_list (COMPS_DocEnv *obj, COMPS_ObjList *list)
void | comps_docenv_add_groupid (COMPS_DocEnv *env, COMPS_DocGroupId *gid)
void | comps_docenv_add_optionid (COMPS_DocEnv *env, COMPS_DocGroupId *gid)
COMPS_DocEnv * | comps_docenv_union (COMPS_DocEnv *e1, COMPS_DocEnv *e2)
COMPS_DocEnv * | comps_docenv_intersect (COMPS_DocEnv *e1, COMPS_DocEnv *e2)

## Detailed Description

COMPS_DocEnv header file.

See also
  COMPS_DocEnv properties setters
  COMPS_DocEnv properties getters
  COMPS_DocEnv list setters
  COMPS_DocEnv list getters

COMPS_DocEnv object support union operation. Read more about Libcomps objects unioning

## Function Documentation

## ◆ comps_docenv_add_groupid()

void comps_docenv_add_groupid | ( | COMPS_DocEnv * | env,
|  | COMPS_DocGroupId * | gid
| ) |  |

add group_id to group_ids list in environment

Parameters

  env | COMPS_DocEnv object
  gid | COMPS_DocGroupId object

Warning
  COMPS_DocGroupId reference counter isn't incremented

## ◆ comps_docenv_add_optionid()

void comps_docenv_add_optionid | ( | COMPS_DocEnv * | env,
|  | COMPS_DocGroupId * | gid
| ) |  |

add group_id to option list in environment

Parameters

  env | COMPS_DocEnv object
  gid | COMPS_DocGroupId object

Warning
  COMPS_DocGroupId reference counter isn't incremented

## ◆ comps_docenv_intersect()

COMPS_DocEnv * comps_docenv_intersect | ( | COMPS_DocEnv * | e1,
|  | COMPS_DocEnv * | e2
| ) |  |

intersect two environments into one and return new COMPS_DocEnv object

Parameters

  e1 | COMPS_DocEnv object
  e2 | COMPS_DocEnv object

Returns
  new COMPS_DocEnv object

## ◆ comps_docenv_union()

COMPS_DocEnv * comps_docenv_union | ( | COMPS_DocEnv * | e1,
|  | COMPS_DocEnv * | e2
| ) |  |

union two environments into one and return new COMPS_DocEnv object

Parameters

  e1 | COMPS_DocEnv object
  e2 | COMPS_DocEnv object

Returns
  new COMPS_DocEnv object